QGIS Application - Bug report #20227
dbmanager time execution query python error
2018-10-26 02:40 PM - Alain FERRATON

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.5(master) Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28048
Description

when executing any SQL query with DBmanager | get the error message (see attachment).
and the execution time is not displayed.

Maybe in connection with #199717?

Related issues:
Related to QGIS Application - Bug report # 20467: update sql layer Closed 2018-11-12

History

#1 - 2018-10-26 03:05 PM - Alessandro Pasotti

Most probably a translation error. Can you try with english language (go to settings and override locale, then restart QGIS)

#2 - 2018-10-26 09:27 PM - Nyall Dawson

- Status changed from Open to Feedback

#3 - 2018-10-26 10:41 PM - Harrissou Santanna

- File dbmanagermissingref.png added

Indeed it might be a translation issue but as you can see in the attached screenshot the strings in master are not available for translation: looks like it's

replaced with a concatenation from previous label and the current one.

Obviously an issue from QGIS or Transifex but not from translators.

#4 - 2018-10-26 11:23 PM - Alessandro Pasotti

Harrissou, the string in QGIS is correct python code, | don't know anything about the translation process but it's definitely not an error in QGIS code for

dbmanager.

#5 - 2018-10-27 10:05 AM - Saber Razmjooei

- Subject changed from QGIS 3.3 MASTER dbmanager time execution query python error to dbmanager time execution query python error

#6 - 2018-10-27 10:09 AM - Harrissou Santanna

Alessandro, sorry i didn't mean something was wrong in the dbomanager code but something might get wrong in the communication between QGIS and
Transifex, regarding this string.
https://github.com/qgis/QGIS/pull/8101/commits/96b903e1f321601e1765dd0813a9dcd5e39fbe7d

Maybe Jef knows... ?

#7 - 2018-10-27 10:30 AM - Jiirgen Fischer

Harrissou Santanna wrote:

Alessandro, sorry i didn't mean something was wrong in the dbmanager code but something might get wrong in the communication between QGIS
and Transifex, regarding this string.
Maybe Jef knows... ?

Not about the origin. When | come across such a string in the German translation | just drop the extra "line noise" in the translation.

#8 - 2018-10-27 05:36 PM - Harrissou Santanna

The advantage of having active developer among translators.
By dropping, you mean you remove the translation, keeping it untranslated or you remove both the string to translate and its translation?

| assume we'd need to fix this for every language that made the translation...

#9 - 2018-10-27 08:32 PM - Alessandro Pasotti

Just to understand what's going on here, is it a transit Transiflex problem?

#10 - 2018-10-27 08:46 PM - Jiirgen Fischer

- Status changed from Feedback to Closed

- Affected QGIS version changed from 3.3(master) to 3.5(master)
- Resolution set to fixed/implemented

Still not really sure how this happens. But the broken strings appear as translations for the source language in qgis_en.ts when it's pulled down from
transifex in scripts/update_ts.sh. When the updated ts file is pushed back to transifex, it apparently uses these as source strings. commit:9e45223d4 now
resets the translation strings to the original strings after qgis_en.ts is pulled - after that it's updated and pushed back as usual - that made the wrong strings

disappear.

#11 - 2018-11-16 09:23 PM - Harrissou Santanna
- Related to Bug report #20467: update sql layer added
